org.apache.hc.client5.http.protocol

## Class RequestAuthCache

- java.lang.Object
- - org.apache.hc.client5.http.protocol.RequestAuthCache

All Implemented Interfaces:
  HttpRequestInterceptor

    @Contract(threading=STATELESS)
    public class RequestAuthCache
    extends Object
    implements HttpRequestInterceptor

Request interceptor that can preemptively authenticate against known hosts, if there is a cached `AuthScheme` instance in the local `AuthCache` associated with the given target or proxy host.

Since:
  4.1

### Constructor Summary

Constructors
Constructor and Description
`RequestAuthCache()`

### Method Summary

Methods
`void` `process(HttpRequest request, EntityDetails entity, HttpContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RequestAuthCache

    public RequestAuthCache()

### Method Detail

#### process

    public void process(HttpRequest request,
               EntityDetails entity,
               HttpContext context)
                 throws HttpException,
                        IOException

Specified by:
  `process` in interface `HttpRequestInterceptor`
Throws:
  `HttpException`
  `IOException`